Connect

List Facebook Pages for Pending Connect

Lists the Facebook Pages the user can connect after authorizing Facebook. Send the tempToken returned to your redirect URL.

GET
/v1/connections/oauth/facebook/pages

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Query Parameters

tempToken*string
Length1 <= length

Response Body

Selectable Pages

application/json
  1. response
pages*array<>
Example Request
import { Configuration, ConnectionsApi } from "@onepostly/sdk";const connectionsApi = new ConnectionsApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await connectionsApi.listFacebookPages({  tempToken: "temp_abc123",});console.log(response);
Example Response
{  "pages": [    {      "id": "123456789012345",      "name": "Onepostly",      "username": "onepostly",      "category": "Business",      "pictureUrl": "https://cdn.onepostly.com/avatars/onepostly.jpg"    }  ]}